#include <bits/stdc++.h>
#define fast ios_base::sync_with_stdio(0); cin.tie(0); cout.tie(0);

using namespace std;

int main()
{
    fast;
    long long n, l;
    cin >> n >> l;

    bool printed = false;
    for(int i = 1; i <= n; i++)
    {
        int h;
        cin >> h;
        if(h <= l & !printed)
        {
            cout << i << "\n";
            printed = true;
        }
    }

    if(!printed) cout << -1 << "\n";
    return 0;
}